Bug 170401 - Header bug fogotten casting
Header bug fogotten casting
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libapreq2 (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bojan Smojver
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-11 07:13 EDT by Dirk Nehring
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.07-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-01 16:14:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dirk Nehring 2005-10-11 07:13:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; de-DE; rv:1.7.12) Gecko/20050919 Firefox/1.0.7

Description of problem:
The libapreq2 headers contains a bug:

/usr/include/apreq2/apreq_util.h:197: error: invalid conversion from 'void*' to 'char*'


Version-Release number of selected component (if applicable):
2.06-2.fc4

How reproducible:
Always

Steps to Reproduce:
1. Small C program with including apreq_util.h
2.
3.
  

Additional info:

Patch:

<     rv = apr_palloc(p, 3 * slen + 1);
>     rv = (char *)apr_palloc(p, 3 * slen + 1);
Comment 1 Ville Skyttä 2005-10-11 13:52:06 EDT
Reproduced, appears to happen only when using a c++ compiler though.  Will  
report upstream; AFAIK 2.07 will be out real soon now, hopefully this makes it 
in time for that.  Thanks!  
Comment 2 Ville Skyttä 2005-10-15 05:10:10 EDT
The patch is included in upstream 2.07-rc2.  I've updated devel to it, but 
will wait for 2.07 final for FC4. 
Comment 3 Ville Skyttä 2007-01-01 16:14:06 EST
Fixed 13 Feb 2006 by Bojan.

Note You need to log in before you can comment on or make changes to this bug.